org.licas.parsers.admin

## Class ServiceModuleInfoParser

- java.lang.Object
- - org.licas.parsers.admin.ServiceModuleInfoParser

-     public class ServiceModuleInfoParser
      extends java.lang.Object

  This can parse a `ServiceModuleInfo` object that contains jar and class info for an external service module.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceModuleInfoParser()` Create a new instance of ServiceModuleInfoParser

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceModuleInfo` | `parse(org.licas_xml.abs.Element toParse)` Parse the XML element back into the appropriate Object.
    `org.licas_xml.abs.Element` | `serialize(ServiceModuleInfo serviceInfo)` Serialize the object into an XML element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceModuleInfoParser

          public ServiceModuleInfoParser()

      Create a new instance of ServiceModuleInfoParser

  - ### Method Detail

    - #### serialize

          public org.licas_xml.abs.Element serialize(ServiceModuleInfo serviceInfo)
                                              throws java.lang.Exception

      Serialize the object into an XML element.
      Parameters:
        `serviceInfo` - the service module information.
      Returns:
        the serialized object.
      Throws:
        `java.lang.Exception` - any error.

    - #### parse

          public ServiceModuleInfo parse(org.licas_xml.abs.Element toParse)
                                  throws java.lang.Exception

      Parse the XML element back into the appropriate Object.
      Parameters:
        `toParse` - the element to parse.
      Returns:
        the parsed gui classname lists.
      Throws:
        `java.lang.Exception` - any error.